/**
 * Create an audio version of your posts, with a selection of more than 120+ voices across more than 30 languages and variants.
 * Exclusively on Envato Market: https://speaker-airy.merkulov.design/
 *
 * @encoding        UTF-8
 * @version         1.1.6
 * @copyright       Copyright (C) 2018 - 2023 Merkulove ( https://merkulov.design/ ). All rights reserved.
 * @license         (ISC OR GPL-3.0)
 * @contributors    Alexander Khmelnitskiy (info@alexander.khmelnitskiy.ua), Dmitry Merkulov (dmitry@merkulov.design)
 * @support         help@merkulov.design
 **/
!function(e){"use strict";e(document).ready((function(){let t=e("#submit");t.on("click",(function(t){e("#mdp-speaker-lite-settings-language-tbl tr.selected").hasClass("mdp-speaker-lite-voice-type-wavenet")&&(alert("WaveNet voices are available in the full version of Speaker. Please select one of Standard voices."),t.preventDefault())})),e(".mdc-list .mdc-list-item.mdp-plugin-title").on("click",(function(){let t=e(this).data("count");void 0===t&&(t=0,setTimeout((function(){e(".mdc-list .mdc-list-item.mdp-plugin-title").removeData("count")}),2e3)),t++,e(this).data("count",t),t>3&&(e(".mdc-list > .mdc-list-item.mdp-developer").removeClass("mdc-hidden").addClass("mdc-list-item--activated"),e(".mdc-list .mdc-list-item.mdp-plugin-title").removeData("count"))})),e("#mdp-dev-reset-settings-btn").on("click",(function(t){t.preventDefault(),e(this).attr("disabled",!0).addClass("mdp-spin").find(".material-icons").text("refresh");let s={action:"reset_settings",nonce:window.mdpSpeaker.nonce,doReset:!0};e.post(window.mdpSpeaker.ajaxURL,s,(function(e){console.info("Settings Successfully Cleared.")}),"json").fail((function(e){console.error(e),alert("Looks like an Error has occurred. Please try again later.")})).always((function(){e("#mdp-dev-reset-settings-btn").attr("disabled",!1).removeClass("mdp-spin").find(".material-icons").text("clear_all")}))})),function(){let t=e("#mdp_custom_css_fld");if(!t.length)return;let s,a=wp.codeEditor.defaultSettings?_.clone(wp.codeEditor.defaultSettings):{};a.codemirror=_.extend({},a.codemirror,{indentUnit:2,tabSize:2,mode:"css"}),s=wp.codeEditor.initialize("mdp_custom_css_fld",a),s.codemirror.on("change",(function(e){s.codemirror.save(),t.change()}))}(),e("#mdp-speaker-lite-post-types-settings-cpt-support").chosen({width:"100%",search_contains:!0,disable_search_threshold:7,inherit_select_classes:!0,no_results_text:"Oops, nothing found"});let s=e("#mdp-speaker-lite-settings-language-tbl");s.removeClass("hidden"),s.DataTable({order:[[0,"desc"]],lengthMenu:[[-1],["All"]],initComplete:function(){this.api().columns().every((function(){let t=this,s=e("#mdp-speaker-lite-language-filter");0===t[0][0]&&s.on("change",(function(){e("#mdp-speaker-lite-settings-language-tbl tbody").show(),e("#mdp-speaker-lite-settings-language-tbl_info").show(),e("#mdp-speaker-lite-settings-language-tbl_paginate").hide(),e("#mdp-speaker-lite-settings-language-tbl_length").hide(),e("#mdp-speaker-lite-settings-language-tbl thead").show();let s=e.fn.dataTable.util.escapeRegex(e(this).val());"0"===s&&(s=""),t.search(s?"^"+s+"$":"",!0,!1).draw()}))})),e("#mdp-speaker-lite-settings-language-tbl tbody").hide(),e("#mdp-speaker-lite-settings-language-tbl_info").hide(),e("#mdp-speaker-lite-settings-language-tbl_paginate").hide(),e("#mdp-speaker-lite-settings-language-tbl_length").hide(),e("#mdp-speaker-lite-settings-language-tbl thead").hide()}}),e("#mdp-speaker-lite-settings-language-tbl tbody").on("click","tr",(function(){e("#mdp-speaker-lite-settings-language-tbl tr.selected").removeClass("selected"),e(this).addClass("selected");let t=e("#mdp-speaker-lite-settings-language-tbl tr.selected .mdp-lang-code").text(),s=e("#mdp-speaker-lite-settings-language-tbl tr.selected .mdp-voice-name").attr("title");e(".mdp-now-used strong").html(s),e("#mdp-speaker-lite-settings-language-code").val(t),e("#mdp-speaker-lite-settings-language").val(s);let a=e(".mdp-now-used audio");e(".mdp-now-used audio source:nth-child(1)").attr("src","https://cloud.google.com/text-to-speech/docs/audio/"+s+".mp3"),e(".mdp-now-used audio source:nth-child(2)").attr("src","https://cloud.google.com/text-to-speech/docs/audio/"+s+".wav"),a[0].pause(),a[0].load()}));let a=e("#mdp-speaker-lite-language-filter").parent().data("mdc-index");s.DataTable().rows().every((function(t,s,i){let l=this.data();l[1].includes(e("#mdp-speaker-lite-settings-language").val())&&(window.MerkulovMaterial[a].value=l[0])}));let i=e("#mdp-api-key-drop-zone");i.on("dragenter",(function(){d(),e(this).addClass("mdp-hover")})),i.on("dragleave",(function(){e(this).removeClass("mdp-hover")})),i.on("dragover",(function(e){e.stopPropagation(),e.preventDefault()}));let l=e("#mdp-speaker-lite-settings-dnd-api-key");function n(e){let s=new FileReader;s.onload=function(e){let s=e.target.result;return function(e){try{JSON.parse(e)}catch(e){return!1}return!0}(s)?void 0===JSON.parse(s).private_key?(o("Error: Your API key file looks like not valid. Please make sure you use the correct key."),void i.removeClass("mdp-busy")):(l.val(btoa(s)),d(),void(l.val().length>1e3?t.trigger("click"):(o("Error: Your API key file looks like not valid. Please make sure you use the correct key."),i.removeClass("mdp-busy")))):(o("Error: Uploaded file is empty or not a valid JSON file."),void i.removeClass("mdp-busy"))},s.readAsText(e)}i.on("drop",(function(t){t.stopPropagation(),t.preventDefault(),e(this).removeClass("mdp-hover"),i.addClass("mdp-busy");let s=t.originalEvent.dataTransfer.files[0];p(s)?n(s):i.removeClass("mdp-busy")}));let r=e("#mdp-dnd-file-input");function o(e){i.next().addClass("mdp-error").html(e)}function d(){i.next().removeClass("mdp-error").html("")}function p(e){return null==e?(o("Error: Failed to read file. Please try again."),!1):!!e.type.match("application/json")||(o("Error: API Key must be a valid JSON file."),!1)}i.on("click",(function(){r.click()})),r.on("change",(function(e){i.addClass("mdp-busy");let t=e.target.files[0];p(t)?n(t):i.removeClass("mdp-busy")})),e(".mdp-reset-key-btn").on("click",(function(){l.val(""),t.trigger("click")})),e("#mdp-speaker-lite-subscribe").on("click",(function(t){t.preventDefault();let s=e("#mdp-speaker-lite-subscribe-mail").val(),a=e("#mdp-speaker-lite-subscribe-name").val(),i=e("#mdp-speaker-lite-subscribe-mail").parent().data("mdc-index");s.length>0&&window.MerkulovMaterial[i].valid?(e("#mdp-speaker-lite-subscribe-name").prop("disabled",!0),e("#mdp-speaker-lite-subscribe-mail").prop("disabled",!0),e("#mdp-speaker-lite-subscribe").prop("disabled",!0),e.ajax({type:"GET",url:"https://merkulove.host/wp-content/plugins/mdp-purchase-validator/esputnik/subscribe.php",crossDomain:!0,data:"name="+a+"&mail="+s+"&plugin=speaker-lite",success:function(e){!0===e&&alert("We received your Subscription request. Now you need to confirm your subscription. Please check your inbox for an email from us.")},error:function(e){alert(e)}})):window.MerkulovMaterial[i].valid=!1}))}))}(jQuery);